Bug 880067 - [rhevm-upgrade] pre-upgrade checks should check if DB is up-gradable before starting the process
[rhevm-upgrade] pre-upgrade checks should check if DB is up-gradable before s...
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.2.0
x86_64 Linux
unspecified Severity high
: ---
: 3.3.0
Assigned To: Alex Lourie
integration
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-26 02:16 EST by Haim
Modified: 2015-09-22 09 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 10:15:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-11-26 02:16:14 EST
Description of problem:

in our pre-upgrade tests we must check if data-base is upgradable before we start the process and alert the user, upgrade is of the complex scenarios and might fail on different places, once it fails, its pretty frustrating asking the user to manually revert its setup (install jboss again, rhevm, run setup, drop-db, import db, rename..).

I suggest that during our pre-upgrade checks, we will try to upgrade the db, if we fail, we should fail the upgrade process (no harm done to the existing env), alerting the user to call support, they will make needed changes in the data-base, and user will try again, now with higher chances for success.
Comment 1 Itamar Heim 2012-11-26 06:22:11 EST
i agree a pre-upgraed test on the db is of value (actually thought we had it in the past)
Comment 5 Ofer Schreiber 2013-09-02 10:15:25 EDT
3.3 Includes a major re-write of ovirt-engine-setup (which is responsible for upgrade as well now).

This re-write makes this bug obsolete, as the upgrade supports now real transactions for every aspect of the upgrade, and the DB upgrade is done at early stage.

Therefore, I'm closing this bug as it is already included in 3.3 upstream. Thanks for the bug, and hope you'll find the new implementation helpful.

Note You need to log in before you can comment on or make changes to this bug.